# $Revision: 1.22 $, $Date: 2010/12/03 17:17:06 $
#
# Conditional build:
%bcond_without	lcd		# without LCD subpixel color filtering (Microsoft patents in USA)
#
%define		realname   freetype
Summary:	TrueType font rasterizer - MinGW32 cross version
Summary(pl.UTF-8):	Rasteryzer fontów TrueType - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	2.4.4
Release:	1
License:	GPL or FTL
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/freetype/%{realname}-%{version}.tar.bz2
# Source0-md5:	b3e2b6e2f1c3e0dffa1fd2a0f848b671
URL:		http://www.freetype.org/
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-zlib >= 1.2.3-2
BuildRequires:	python
Requires:	crossmingw32-zlib >= 1.2.3-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer
# see <freetype/internal/ftserv.h>, the real horror
%define		specflags	-fno-strict-aliasing

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
The FreeType engine is a free and portable TrueType font rendering
engine. It has been developed to provide TrueType support to a great
variety of platforms and environments.

Note that FreeType is a *library*. It is not a font server for your
favorite platform, even though it was designed to be used in many of
them. Note also that it is *not* a complete text-rendering library.
Its purpose is simply to open and manage font files, as well as load,
hint and render individual glyphs efficiently. You can also see it as
a "TrueType driver" for a higher-level library, though rendering text
with it is extremely easy, as demo-ed by the test programs.

This package contains the cross version for Win32.

%description -l pl.UTF-8
FreeType jest biblioteką służącą do rasteryzacji fontów
TrueType. Jest to jedynie biblioteka, a nie serwer fontów, chociaż
została ona zaprojektowana do używania także w takich serwerach.
Nie jest to też kompletna biblioteka do rasteryzacji tekstu. Jej
celem jest tylko odczytywanie i zarządzanie plikami z fontami oraz
wczytywanie i wykonywanie hintingu i rasteryzacji poszczególnych
glifów. Może być także uważana za "sterownik TrueType" dla
bibliotek wyższego poziomu, jednak użycie samej biblioteki FreeType
do rasteryzacji jest bardzo proste, co można zobaczyć w programach
demonstracyjnych.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static freetype library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka freetype (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static freetype library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka freetype (wersja skrośna MinGW32).

%package dll
Summary:	DLL freetype library for Windows
Summary(pl.UTF-8):	Biblioteka DLL freetype dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-zlib-dll
Requires:	wine

%description dll
DLL freetype library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL freetype dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="%{rpmcflags} \
%{?with_lcd:-DFT_CONFIG_OPTION_SUBPIXEL_RENDERING}" \
%configure \
	--target=%{target} \
	--build=i686-pc-linux-gnu \
	--host=%{target} \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{CHANGES,FTL.TXT,LICENSE.TXT,TODO,formats.txt,raster.txt}
%{_libdir}/libfreetype.dll.a
%{_libdir}/libfreetype.la
%{_includedir}/freetype2
%{_includedir}/ft2build.h
%{_pkgconfigdir}/freetype2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfreetype.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libfreetype-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-freetype.spec,v $
Revision 1.22  2010/12/03 17:17:06  qboosh
- updated to 2.4.4 (fixes CVE-2010-3855)

Revision 1.21  2010/10/06 07:02:54  qboosh
- updated to 2.4.3

Revision 1.20  2010/09/19 05:38:55  qboosh
- unified MinGW32 caps

Revision 1.19  2010/08/08 07:19:35  qboosh
- updated to 2.4.2

Revision 1.18  2010/08/04 17:59:00  qboosh
- updated to 2.4.1

Revision 1.17  2010/07/15 19:09:59  qboosh
- updated to 2.4.0, bytecode interpreter included unconditionally

Revision 1.16  2010/03/22 07:59:13  qboosh
- updated to 2.3.12

Revision 1.15  2008/07/18 23:00:07  qboosh
- updated to 2.3.7

Revision 1.14  2008/06/17 17:20:44  qboosh
- added CVE references

Revision 1.13  2008-06-10 20:36:34  qboosh
- updated to 2.3.6 (fixes some potential security problems)
  [fixes CVE-2008-1806, CVE-2008-1807, CVE-2008-1808]

Revision 1.12  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.11  2008-01-07 22:50:59  qboosh
- require zlib with hacked .la instead of more ugly hacks here

Revision 1.10  2007-10-21 17:21:58  wolf
- cut lua from shared library creation

Revision 1.9  2007/10/20 22:12:34  wolf
- fix shared library creation

Revision 1.8  2007/07/06 19:41:39  qboosh
- updated to 2.3.5 (fixes CVE-2007-2754)

Revision 1.7  2007/04/18 07:35:27  qboosh
- updated to 2.3.4 [fixes CVE-2007-3506]

Revision 1.6  2007/04/05 17:38:45  qboosh
- updated to 2.3.3 (fixes CVE-2007-1351)

Revision 1.5  2007/03/06 19:29:57  qboosh
- BR: cross gcc

Revision 1.4  2007/03/06 19:23:28  qboosh
- cleanup, separated -static,-dll

Revision 1.3  2007/02/25 15:07:57  czarny
- shared + static

Revision 1.2  2007/02/20 18:52:50  czarny
- added proer pkgconfigdir

Revision 1.1  2007/02/20 18:50:54  czarny
- new based on freetype.spec
